# MongoPool::setSize

(PECL mongo >= 1.2.3)

MongoPool::setSize — Set the size for future connection pools

### Description

public static MongoPool::setSize ( int `$size` ) : bool

Sets the max number of connections new pools will be able to create.

### Parameters

`size`

  The max number of connections future pools will be able to create. Negative numbers mean that the pool will spawn an infinite number of connections.

### Return Values

Returns the former value of pool size.

### Changelog

Version | Description
--- | ---
1.2.11 | Emits `E_DEPRECATED` when used.

### Examples

Example #1 Mongo::setPoolSize() example

If you set the pool size to n and then create n connections, attempting to create an n+1st connection will throw a MongoConnectionException.

`<?php
// only allow one connection to a server
MongoPool::setSize(1);
// creates one connection to localhost:27017
$m1 = new Mongo();
// attempt to create a second connection to localhost:27017
// only one connection is allowed, so this will throw an exception
$m2 = new Mongo();
?>`

The above example will output something similar to:

    Fatal error: Uncaught exception 'MongoConnectionException' with message 'no more connections in pool' in /path/to/php/script.php:10
    Stack trace:
    #0 /path/to/php/script.php(10): Mongo->__construct()
    #1 {main}
      thrown in /path/to/php/script.php on line 10

### See Also

- MongoPool::getSize() - Get pool size for connection pools
- MongoPool::info() - Returns information about all connection pools
- The connection documentation.